#ifndef DCCD_TPS_H_
#define DCCD_TPS_H_

/**** Includes ****/
#include <stdint.h>
#include "dccd_hw.h"

namespace dccd {

/**** Public definitions ****/
class Thtrottle
{
	public:	
	Thtrottle(void);
	~Thtrottle(void);
	
	void init(dccd::DccdHw* dccd_hw);
	
	uint8_t treshold_on;
	uint8_t treshold_off;
	
	uint8_t is_new;
	uint8_t is_active(void);
	
	void process(void);

	#ifdef TESTING
	protected:
	#endif
	dccd::DccdHw* hardware;
	uint8_t active;
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* DCCD_TPS_H_ */